Skip to main content
Monitoring & Collection/Zaku

GetServiceTopology

Get topology of backing pods for a Kubernetes service

GET/api/v1/zaku/services/{serviceUuid}/topology

Operation ID

GetServiceTopology

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • serviceUuid
    StringRequired

    UUID of the Kubernetes service to retrieve topology for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • service
    Object

    Service for this resource

    • uuid
      String

      Unique identifier of the service

      Example: svc-001

    • name
      String

      Name of the Kubernetes service

      Example: nginx-service

    • namespace
      String

      Kubernetes namespace of the service

      Example: default

    • type
      String

      Service type (ClusterIP, NodePort, LoadBalancer)

      Example: ClusterIP

    • clusterIp
      String

      Cluster-internal IP address assigned to the service

      Example: 10.96.0.10

    • ports
      String

      JSON-serialized port mappings for the service

      Example: [{"port":80,"targetPort":8080}]

    • selector
      String

      Label selector expression for backing pods

      Example: app=nginx

  • pods
    List

    The pods value

    Example: (nested array)

    • uuid
      String

      Unique identifier of the pod

      Example: pod-001

    • name
      String

      Name of the pod

      Example: nginx-deployment-abc123

    • namespace
      String

      Kubernetes namespace of the pod

      Example: default

    • status
      String

      Current status phase of the pod

      Example: Running

    • workloadName
      String

      Name of the parent workload managing this pod

      Example: nginx-deployment

    • workloadKind
      String

      Kind of the parent workload (Deployment, StatefulSet, etc.)

      Example: Deployment

    • gpuUuids
      List

      UUIDs of GPU cards assigned to this pod

      Example: item1,item2